#include "listdlg.h"

TListDlg::TListDlg (TWindow * par_win, TResId res_id)
	: TDialog (par_win, res_id),
	DragLB(0)
{
	DragLB = new TDragListBox(this, IDC_LISTBOX);
}

TListDlg::~TListDlg (void)
{
	if (DragLB)
	{
		delete DragLB;
		DragLB = 0;
	}
}

void
TListDlg::SetupWindow (void)
{
	TDialog::SetupWindow();

	DragLB->AddString("United States");
	DragLB->AddString("Japan");
	DragLB->AddString("China");
	DragLB->AddString("Russia");
	DragLB->AddString("England");
	DragLB->AddString("France");
	DragLB->AddString("Germany");
	DragLB->AddString("Norway");
	DragLB->AddString("Sweden");
	DragLB->AddString("Finland");
	DragLB->AddString("Denmark");

   DragLB->SetSelIndex(0);
}