#if !defined(draglb_h)              // Sentry, use file only if it's not already included.
#define draglb_h


/*
	 OVERVIEW
	 ========
	 Class definition for TDragListB (TListBox).
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "test.rh"                  // Definition of all resources.


//{{TListBox = TDragListBox}}
class TDragListBox : public TListBox
{
public:
	TDragListBox(TWindow * par_win, int res_id);
	~TDragListBox (void);
	void SetupWindow (void);
private:
	bool	  				MouseDown;
	int 	  				Height;
	int					CurrentTop;
	int					CurrentSelection;
	TRect					CurrentEntryRect;
	TWindow		*		ParWin;
	HCURSOR 				DragCursor;
	HCURSOR 				NoDragCursor;
	void EvMouseMove (uint modKeys, TPoint & pt);
	void EvLButtonDown (uint modKeys, TPoint & pt);
	void EvLButtonUp (uint modKeys, TPoint & pt);

	DECLARE_RESPONSE_TABLE(TDragListBox);
};


#endif													// draglb_h sentry
